function filtrarModulos(aplicacion_id) {
    var $modulos = $('#modulos');
    var url = $modulos.attr('url');
    $.getJSON(url+'/'+aplicacion_id, function( data ) {
        var input = '';
        $('#modulos').html('');
        input += "<option value=''>-Modulos</option>";
        $.each( data, function( key, val ) {
            input += "<option value='"+val.id+"'>"+ val.nombre+" </option>";
        });
        $('#modulos').append(input);
       
      });
}
function filtrarFormularios(modulo_id) {
    var $formularios = $('#formularios');
    var url = $formularios.attr('url');
    if(modulo_id == ''){
        $('#formularios').html('');
    }
    $.getJSON( url+'/'+modulo_id, function( data ) {
        var input = '';
        $('#formularios').html('');
        input += "<option value=''>-Formularios</option>";
        $.each( data, function( key, val ) {
            input += "<option value='"+val.id+"'>"+ val.nombre+" </option>";
        });
        console.log(modulo_id);
        $('#formularios').append(input);
       
      });
}
// Cargar css
$(document).ready(function () {
    // Requerimiento.blade
    if($('#estado').text()=='PENDIENTE' || $('#estado').text()=='INCOMPLETO') {
        $(' #estado').css('color','#fff');
        $(' #estado').css('background-color','#dc3545');
        $(' #estado').css('border-color','#dc3545');
    }
    if($('#estado').text()=='PROCESO') {
        $('#estado').css('color','#212529');
        $(' #estado').css('background-color','#ffc107');
        $(' #estado').css('border-color','#ffc107');
    }
    if($('#estado').text()=='REALIZADO') {
        $('#estado').css('color','#fff');
        $(' #estado').css('background-color','#28a745');
        $(' #estado').css('border-color','#28a745');
    }
    if($('#estado').text()=='CONFIRMADO') {
        $('#estado').css('color','#fff');
        $(' #estado').css('background-color','#007bff');
        $(' #estado').css('border-color','#007bff');
    }
    if($('#estado').text()=='COMPLETO') {
        $('#estado').css('color','#fff');
        $('#estado').css('background-color','#333');
        $('#estado').css('border-color','#333');
    }
    $(' #estado').css('cursor','unset');
    // Requerimientos.blade
  $('.PENDIENTE').toggleClass('badge-danger');
  $('.INCOMPLETO').toggleClass('badge-danger');
  $('.PROCESO').toggleClass('badge-warning');
  $('.CONFIRMADO').toggleClass('badge-primary');
  $('.REALIZADO').toggleClass('badge-success');
  $('.COMPLETO').toggleClass('badge-dark');
  $('.APROBADO').toggleClass('badge-dark');
  $('.IMPORTANTE').append(' <i class="fas fa-exclamation-circle" style="color:rgb(193, 18, 18)"></i>');
  $('.NORMAL').append(' <i class="fas fa-minus-square" style="color:gray"></i>');
  $('.URGENTE').append(' <i class="fas fa-exclamation-triangle" style="color:rgb(181, 175, 13)"></i>');
  
  $('#paginador ul').addClass('btn-group mr-2');
  $('#paginador ul li').addClass('btn btn-sm btn-outline-secondary');
  
  $('#fechaAproximada').hide();
});

function filtrarRequerimiento(aplicacion_id) {
    if(isNaN(aplicacion_id)){
        location.assign('/requerimientos');
    }else {
        location.assign('/requerimientos/'+ aplicacion_id);
    }    
    console.log('wey');
}
function mostrarFecha(estado) {
    if(estado == 'PROCESO') {
        $('#fechaAproximada').show('slow');
        $("#TiempoAproximado").prop('required',true);
    }else{
        $('#fechaAproximada').hide();
        $("#TiempoAproximado").prop('required',false);
    }
}
function eliminarlo(url1, url2) {
    swal({
        title: "Eliminar requerimiento?",
        text: "Al ejecutar esta accion no podra revertir los datos?",
        icon: "warning",
        buttons: true,
        dangerMode: true,
      })
      .then((willDelete) => {
        if (willDelete) {
          swal("Requerimiento Eliminado!", {
            icon: "success",
          });    
            $.ajax({                         
            url: url1,                      
            success: function(data)             
            {
                setTimeout(function(){
                    location.assign(url2)
                },2000);
            }
         });
        }
      });
}

function filtrarRequerimientosAplicacion(id) {
    var $Appid = $('#app');
    var url = $Appid.attr('url');
    var url2 = $Appid.attr('url2');
    if(id =='Todas') {
        location.reload();
    }
    $.getJSON( url+'/'+id, function(data) {
        var input = '';
        $('#myTable').html('');
        if(data == '') {
                input = '<strong class="text-muted">Esta App no tiene requerimientos</strong>';
        }else {
            $.each( data, function( key, val ) {
                input += '<tr style="cursor:pointer;" onclick='+"window.location='"+url2+'/'+val.id+"'>";
                    input += '<td>'+val.id+'</td>';
                    input += '<td>'+val.titulo+'</td>';
                    input += '<td>'+val.app_name+'</td>';
                    input += '<td>'+val.modulo_name+'</td>';
                    input += '<td>'+val.formulario_name+'</td>';
                    input += '<td>'+val.tipo+'</td>';
                    input += '<td><span class="'+val.prioridad+'">'+val.prioridad+'</span></td>';
                    input += '<td>'+val.created_at+'</td>';
                    input += '<td><span class="badge '+val.estado+'">'+val.estado+'</span></td>';
                    if(val.creador_name) {
                        input += '<td>'+val.creador_name+'</td>';
                    }
                    input += '<td>'+val.devs+'</td>';
                input += '</tr>';
            });
        }
        $('#myTable').append(input);       
      });
      setTimeout(function(){
        $('.PENDIENTE').toggleClass('badge-danger');
        $('.PROCESO').toggleClass('badge-warning');
        $('.CONFIRMADO').toggleClass('badge-primary');
        $('.REALIZADO').toggleClass('badge-success');
        $('.COMPLETO').toggleClass('badge-dark');
        $('.IMPORTANTE').append(' <i class="fas fa-exclamation-circle" style="color:rgb(193, 18, 18)"></i>');
        $('.NORMAL').append(' <i class="fas fa-minus-square" style="color:gray"></i>');
        $('.URGENTE').append(' <i class="fas fa-exclamation-triangle" style="color:rgb(181, 175, 13)"></i>');
    },500);

}

function requerimientosServidor(app) {
    var $Appid = $('#app');
    console.log(app);
    var url = $Appid.attr('url');
    if(app =='Todos' || app =='') {
        location.assign(url);
    }else{
        location.assign(url+'/'+app);
    }
}
function destroydeveloperRequirement(destroyDeveloperReq) {
    swal({
        title: "Eliminar desarrollador de este requerimiento?",
        text: "Al ejecutar esta accion no podra revertir los datos?",
        icon: "warning",
        buttons: true,
        dangerMode: true,
      })
      .then((willDelete) => {
        if (willDelete) {
          swal("Desarrollador eliminado de este requerimiento!", {
            icon: "success",
          });    
            $.ajax({                         
            url: destroyDeveloperReq,                      
            success: function(data)             
            {
                setTimeout(function(){
                    location.reload();
                },2000);
            }
         });
        }
      });
}

function eliminarComentario(comentario) {
    swal({
    title: "Eliminar comentario?",
    text: "Al ejecutar esta accion no podra revertir los datos?",
    icon: "warning",
    buttons: true,
    dangerMode: true,
    })
    .then((willDelete) => {
    if (willDelete) {
        swal("comentario eliminado!", {
        icon: "success",
        });    
        $.ajax({                         
        url: comentario,                      
        success: function(data)             
        {
            setTimeout(function(){
                location.reload();
            },2000);
        }
    });
    }
    });
}